## octave-general 1.0.6

=== DESCRIPTION ===
Name: General
Version: 1.0.6
Date: 2008-04-29
Author: Various authors
Maintainer: The Octave Community
Title: General
Description: General tools for octave.
Categories: General
Depends: octave (>= 2.9.7)
Autoload: yes
License: GPL version 2 or later
Url: http://octave.sf.net

=== src/Makefile ===
PROGS = $(patsubst %.cc,%.oct,$(wildcard *.cc))

all: $(PROGS)

$(PROGS): Makefile

%.oct: %.cc
	mkoctfile $<

clean: ; -rm *.o core octave-core *.oct *~

## octave-general 1.0.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: General
-Version: 1.0.6
-Date: 2008-04-29
+Version: 1.0.7
+Date: 2008-08-23
 Author: Various authors
 Maintainer: The Octave Community
 Title: General

## octave-general 1.1.3

=== DESCRIPTION ===
Name: General
Version: 1.1.3
Date: 2009-04-21
Author: Various authors
Maintainer: Jaroslav Hajek
Title: General
Description: General tools for octave.
Categories: General
Depends: octave (>= 3.1.55)
Autoload: yes
License: GPL version 3 or later
Url: http://octave.sf.net

## octave-general 1.2.1

=== DESCRIPTION ===
Name: General
Version: 1.2.1
Date: 2010-03-12
Author: Jaroslav Hajek
Maintainer: Jaroslav Hajek
Title: General
Description: General tools for octave. String dictionary, parallel computing.
Categories: General
Depends: octave (>= 3.2.4)
Autoload: yes
License: GPL version 3 or later
Url: http://octave.sf.net

=== debian/changelog ===
octave-general (1.2.1-1) unstable; urgency=low

  * New upstream release

 -- Thomas Weber <tweber@debian.org>  Mon, 17 May 2010 22:14:11 +0200

octave-general (1.2.0-1) unstable; urgency=low

  * New upstream release
  * debian/control: 
    - Remove Rafael Laboissiere from Uploaders (Closes: #571902)
    - Remove Ólafur Jens Sigurðsson <ojsbug@gmail.com> from Uploaders 
  * Switch to dpkg-source 3.0 (quilt) format
  * Standards-Version: Bump to 3.8.4 (no changes needed)
  * Gunzip and regzip the original tarball. It contains some superfluous bits,
    resulting in errors 
    http://sourceforge.net/apps/trac/sourceforge/ticket/9948)

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 25 Apr 2010 18:27:03 +0200

octave-general (1.1.3-2) unstable; urgency=low

  * Upload to unstable. 

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Fri, 04 Dec 2009 00:37:35 +0100

octave-general (1.1.3-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * New upstream release
  * debian/control:
    + (Standards-Version): Bump to 3.8.1 (no changes needed)
    + (Depends): Add ${misc:Depends}
    + (Vcs-Git, Vcs-Browser): Adjust to new Git repository
    + Build-depend on octave-pkg-dev >= 0.7.0, such that the
      package is built against octave3.2
  * debian/copyright:
    + Use DEP5 URL in Format-Specification
    + Use separate License stanzas for instructing about the location of
      the different licenses used in the package

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 19 Jul 2009 14:17:39 +0200

octave-general (1.0.7-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/copyright: Add header
  * debian/control: Bump build-dependency on octave-pkg-dev to >= 0.6.4,
    such that the package is built with the versioned packages directory

  [ Thomas Weber ]
  * Upload to unstable

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sat, 04 Apr 2009 22:24:42 +0200

octave-general (1.0.7-1) experimental; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * debian/control: Bumped Standards-Version to 3.8.0 (no changes
    needed)

  [ Thomas Weber ]
  * New upstream release
  * Bump dependency on octave-pkg-dev to 0.6.1, to get the experimental
    version

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sat, 06 Dec 2008 20:44:56 +0100

octave-general (1.0.6-1) unstable; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * New upstream version

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Mon, 12 May 2008 08:24:47 +0200

octave-general (1.0.5-1) unstable; urgency=low

  * Initial release (closes: #468501)

 -- Ólafur Jens Sigurðsson <ojsbug@gmail.com>  Fri, 08 Feb 2008 01:03:04 +0100

=== debian/control ===
Source: octave-general
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 6), cdbs, octave-pkg-dev (>= 0.7.0)
Standards-Version: 3.8.4
Homepage: http://octave.sourceforge.net/general
Vcs-Git: git://git.debian.org/git/pkg-octave/octave-general.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-general.git

Package: octave-general
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Description: provide extra general functions for Octave
 This package provides additional general functions for Octave, a
 numerical computation software. It cointains functions to transpose
 complex matrixes (ctranspose), check if a string is sorted
 (issorted), take the non-conjugate transpose of a matrix (transpose)
 and a function to generate a symmetric matrix from the lower
 triangular elements of a vector (unvech).
 .
 This Octave add-on package is part of the Octave-Forge project.

## octave-general 1.2.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Name: General
-Version: 1.2.1
+Version: 1.2.2
 Date: 2010-03-12
 Author: Jaroslav Hajek
 Maintainer: Jaroslav Hajek

=== debian/changelog ===
octave-general (1.2.2-2) unstable; urgency=low

  * Upload to unstable
  * New patch: fix-tests, fixes failing tests due to type checking

 -- Thomas Weber <tweber@debian.org>  Sun, 17 Apr 2011 18:26:00 +0200

octave-general (1.2.2-1) experimental; urgency=low

  [ Iulian Udrea ]
  * New upstream release.
  * debian/control:
    - Add myself to Uploaders.
    - Bump Standards-Version to 3.9.1 (no changes required).

 -- Thomas Weber <tweber@debian.org>  Sun, 17 Oct 2010 22:16:10 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
-Uploaders: Thomas Weber <tweber@debian.org>
+Uploaders: Thomas Weber <tweber@debian.org>, Iulian Udrea <iulian@linux.com>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 6), cdbs, octave-pkg-dev (>= 0.7.0)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://octave.sourceforge.net/general
 Vcs-Git: git://git.debian.org/git/pkg-octave/octave-general.git
 Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-general.git

=== debian/watch ===
version=3
http://octave.sourceforge.net/packages.php \
    http://downloads\.sourceforge\.net/octave/general-([\d.]+)\.tar\.gz\?download

## octave-general 1.3.1

=== DESCRIPTION ===
Name: general
Version: 1.3.1
Date: 2012-05-14
Author: various authors
Maintainer: Octave-Forge community <octave-dev@lists.sourceforge.net>
Title: General
Description: General tools for Octave, string dictionary, parallel computing.
Depends: octave (>= 3.4.3)
Autoload: no
License: GPLv3+, modified BSD, public domain
Url: http://octave.sf.net

=== debian/changelog ===
octave-general (1.3.1-1) unstable; urgency=low

  * Imported Upstream version 1.3.1

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Thu, 17 May 2012 22:09:13 +0200

octave-general (1.3.0-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.3.0
  * Drop useless patch fix-tests
  * debian/watch: Use the SourceForge redirector
  * debian/copyright: Adjust for the new upstream version
  * debian/patches/autoload-yes.patch: New patch

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Sat, 31 Mar 2012 09:50:30 +0200

octave-general (1.2.2-3) unstable; urgency=low

  [ Sébastien Villemot ]
  * Remove Iulian Udrea from Uploaders, with his consent

  [ Rafael Laboissiere ]
  * Bump to debhelper compat level 9
  * Build-depend on octave-pkg-dev >= 1.0.0, to build against Octave 3.6
  * Bump to Standards-Version 3.9.3, no changes needed
  * Add Sébastien Villemot to the list of Uploaders
  * debian/copyright: update to machine-readable format 1.0

 -- Thomas Weber <tweber@debian.org>  Tue, 13 Mar 2012 20:57:52 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
-Uploaders: Thomas Weber <tweber@debian.org>, Iulian Udrea <iulian@linux.com>
+Uploaders: Thomas Weber <tweber@debian.org>,
+           Sébastien Villemot <sebastien.villemot@ens.fr>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 6), cdbs, octave-pkg-dev (>= 0.7.0)
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.0)
+Standards-Version: 3.9.3
 Homepage: http://octave.sourceforge.net/general
 Vcs-Git: git://git.debian.org/git/pkg-octave/octave-general.git
 Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-general.git

## octave-general 1.3.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: general
-Version: 1.3.1
-Date: 2012-05-14
+Version: 1.3.2
+Date: 2012-08-03
 Author: various authors
 Maintainer: Octave-Forge community <octave-dev@lists.sourceforge.net>
 Title: General

=== debian/changelog ===
octave-general (1.3.2-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Bump Standards-Version to 3.9.4 (no changes needed)
  * Use Sébastien Villemot's @debian.org email address
  * debian/copyright: Use the octave-maintainers mailing list as upstream
    contact
  * Remove obsolete DM-Upload-Allowed flag

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 20 May 2013 13:35:39 +0200

octave-general (1.3.2-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.3.2
  * debian/copyright: Reflect upstream changes
  * Add Lintian override for hardening-no-fortify-functions warnings

 -- Thomas Weber <tweber@debian.org>  Mon, 06 Aug 2012 22:08:52 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,9 @@
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
 Uploaders: Thomas Weber <tweber@debian.org>,
-           Sébastien Villemot <sebastien.villemot@ens.fr>
-DM-Upload-Allowed: yes
+           Sébastien Villemot <sebastien@debian.org>
 Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.0)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://octave.sourceforge.net/general
 Vcs-Git: git://git.debian.org/git/pkg-octave/octave-general.git
 Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-general.git

## octave-general 1.3.4

=== DESCRIPTION ===
Name: general
Version: 1.3.4
Date: 2014-02-04
Author: various authors
Maintainer: Octave-Forge community <maintainers@octave.org>
Title: General
Description: General tools for Octave.
Depends: octave (>= 3.4.3)
License: GPLv3+, modified BSD, public domain
Url: http://octave.sf.net

=== src/Makefile ===
ifndef MKOCTFILE
MKOCTFILE := mkoctfile -Wall
endif

PROGS = $(patsubst %.cc,%.oct,$(wildcard *.cc))

all: $(PROGS)

%.oct: %.cc
	$(MKOCTFILE) $<

clean:
	rm -f *.o octave-core core *.oct *~

=== debian/changelog ===
octave-general (1.3.4-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Imported Upstream version 1.3.4
  * debian/copyright: reflect upstream changes.
  * Build-Depends on octave-pkg-dev >= 1.1.0.
    This version needs Octave 3.8 to get compiled, it does not compile against
    Octave 3.6 (despite what's indicated in DESCRIPTION).

  [ Thomas Weber ]
  * debian/control: Use canonical URLs in Vcs-* fields

  [ Rafael Laboissiere ]
  * Bump to Standards-Version 3.9.5, no changes needed
  * Drop Lintian override for hardening-no-fortify-functions

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 20 Feb 2014 16:38:52 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
 Uploaders: Thomas Weber <tweber@debian.org>,
            Sébastien Villemot <sebastien@debian.org>
-Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.0)
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.1.0)
+Standards-Version: 3.9.5
 Homepage: http://octave.sourceforge.net/general
-Vcs-Git: git://git.debian.org/git/pkg-octave/octave-general.git
-Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-general.git
+Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-general.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-general.git
 
 Package: octave-general
 Architecture: any

=== debian/watch ===
version=3
http://sf.net/octave/general-(.+)\.tar\.gz

## octave-general 2.0.0

=== DESCRIPTION ===
Name: general
Version: 2.0.0
Date: 2015-05-27
Author: various authors
Maintainer: Octave-Forge community <maintainers@octave.org>
Title: General
Description: General tools for Octave.
Depends: octave (>= 4.0.0)
License: GPLv3+, modified BSD, public domain
Url: http://octave.sf.net

=== debian/changelog ===
octave-general (2.0.0-3) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:30:37 -0200

octave-general (2.0.0-2) unstable; urgency=medium

  [ Sébastien Villemot ]
  * d/copyright: use secure URL for format.
  * d/watch: bump to format version 4.

  [ Rafael Laboissiere ]
  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
    + Bump Standards-Version to 4.1.3 (no changes needed)
    + Use secure URIs in the Vcs-* fields
    + Use cgit instead of gitweb in Vcs-Browser URL
    + Add Testsuite field

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:13:34 -0200

octave-general (2.0.0-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * Imported Upstream version 2.0.0
  * d/p/autoload-yes.patch: Remove patch (deprecated upstream)
  * Build-depend on octave-pkg-dev >> 1.2.0 (for Octave 4.0 transition)
  * Drop the inputParser function, which is now in Octave 4.0 core
  * Remove code for dropping the inputParser function

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 18 Jul 2015 23:24:19 +0200

octave-general (1.3.4-2) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Uploaders: remove Thomas Weber, add Rafael Laboissiere.

  [ Rafael Laboissiere ]
  * d/copyright: Ensure that all files have copyright information
  * Bump Standards-Version to 3.9.6 (no changes needed)

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sat, 27 Sep 2014 06:22:22 -0300

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: octave-general
 Section: math
 Priority: optional
-Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
-Uploaders: Thomas Weber <tweber@debian.org>,
-           Sébastien Villemot <sebastien@debian.org>
-Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.1.0)
-Standards-Version: 3.9.5
+Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
+Uploaders: Sébastien Villemot <sebastien@debian.org>,
+           Rafael Laboissiere <rafael@debian.org>
+Build-Depends: debhelper (>= 11), dh-octave
+Standards-Version: 4.1.3
 Homepage: http://octave.sourceforge.net/general
-Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-general.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-general.git
+Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-general.git
+Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-general
+Testsuite: autopkgtest-pkg-octave
 
 Package: octave-general
 Architecture: any

## octave-general 2.1.0

=== Makefile ===
## Copyright 2015-2016 Carnë Draug
## Copyright 2015-2016 Oliver Heimlich
## Copyright 2017 Julien Bect <jbect@users.sf.net>
## Copyright 2017 Olaf Till <i7tiol@t-online.de>
## Copyright 2018 John Donoghue <john.donogue@ieee.org>
##
## Copying and distribution of this file, with or without modification,
## are permitted in any medium without royalty provided the copyright
## notice and this notice are preserved.  This file is offered as-is,
## without any warranty.

## Some basic tools (can be overriden using environment variables)
SED ?= sed
TAR ?= tar
GREP ?= grep
CUT ?= cut
TR ?= tr

## Note the use of ':=' (immediate set) and not just '=' (lazy set).
## http://stackoverflow.com/a/448939/1609556
package := $(shell $(GREP) "^Name: " DESCRIPTION | $(CUT) -f2 -d" " | \
$(TR) '[:upper:]' '[:lower:]')
version := $(shell $(GREP) "^Version: " DESCRIPTION | $(CUT) -f2 -d" ")

## These are the paths that will be created for the releases.
target_dir       := target
release_dir      := $(target_dir)/$(package)-$(version)
release_tarball  := $(target_dir)/$(package)-$(version).tar.gz
html_dir         := $(target_dir)/$(package)-html
html_tarball     := $(target_dir)/$(package)-html.tar.gz
## Using $(realpath ...) avoids problems with symlinks due to bug
## #50994 in Octaves scripts/pkg/private/install.m.  But at least the
## release directory above is needed in the relative form, for 'git
## archive --format=tar --prefix=$(release_dir).
real_target_dir  := $(realpath .)/$(target_dir)
installation_dir := $(real_target_dir)/.installation
package_list     := $(installation_dir)/.octave_packages
install_stamp    := $(installation_dir)/.install_stamp

## These can be set by environment variables which allow to easily
## test with different Octave versions.
ifndef OCTAVE
OCTAVE := octave
endif
OCTAVE := $(OCTAVE) --no-gui --silent --norc
MKOCTFILE ?= mkoctfile

## Command used to set permissions before creating tarballs
FIX_PERMISSIONS ?= chmod -R a+rX,u+w,go-w,ug-s

## Detect which VCS is used
vcs := $(if $(wildcard .hg),hg,$(if $(wildcard .git),git,unknown))
ifeq ($(vcs),hg)
release_dir_dep := .hg/dirstate
endif
ifeq ($(vcs),git)
release_dir_dep := .git/index
endif


## .PHONY indicates targets that are not filenames
## (https://www.gnu.org/software/make/manual/html_node/Phony-Targets.html)
.PHONY: help

## make will display the command before runnning them.  Use @command
## to not display it (makes specially sense for echo).
help:
	@echo "Targets:"
	@echo "   dist    - Create $(release_tarball) for release."
	@echo "   html    - Create $(html_tarball) for release."
	@echo "   release - Create both of the above and show md5sums."
	@echo "   install - Install the package in $(installation_dir), where it is not visible in a normal Octave session."
	@echo "   check   - Execute package tests."
	@echo "   doctest - Test the help texts with the doctest package."
	@echo "   run     - Run Octave with the package installed in $(installation_dir) in the path."
	@echo "   clean   - Remove everything made with this Makefile."


##
## Recipes for release tarballs (package + html)
##

.PHONY: release dist html clean-tarballs clean-unpacked-release

## To make a release, build the distribution and html tarballs.
release: dist html
	md5sum $(release_tarball) $(html_tarball)
	@echo "Upload @ https://sourceforge.net/p/octave/package-releases/new/"
	@echo "    and note the changeset the release corresponds to"

## dist and html targets are only PHONY/alias targets to the release
## and html tarballs.
dist: $(release_tarball)
html: $(html_tarball)

## An implicit rule with a recipe to build the tarballs correctly.
%.tar.gz: %
	$(TAR) -c -f - --posix -C "$(target_dir)/" "$(notdir $<)" | gzip -9n > "$@"

clean-tarballs:
	@echo "## Cleaning release tarballs (package + html)..."
	-$(RM) $(release_tarball) $(html_tarball)
	@echo

## Create the unpacked package.
##
## Notes:
##    * having ".hg/dirstate" (or ".git/index") as a prerequesite means it is
##      only rebuilt if we are at a different commit.
##    * the variable RM usually defaults to "rm -f"
##    * having this recipe separate from the one that makes the tarball
##      makes it easy to have packages in alternative formats (such as zip)
##    * note that if a commands needs to be run in a specific directory,
##      the command to "cd" needs to be on the same line.  Each line restores
##      the original working directory.
$(release_dir): $(release_dir_dep)
	-$(RM) -r "$@"
ifeq (${vcs},hg)
	hg archive --exclude ".hg*" --type files "$@"
endif
ifeq (${vcs},git)
	git archive --format=tar --prefix="$@/" HEAD | $(TAR) -x
	$(RM) "$@/.gitignore"
endif
## Don't fall back to run the supposed necessary contents of
## 'bootstrap' here. Users are better off if they provide
## 'bootstrap'. Administrators, checking build reproducibility, can
## put in the missing 'bootstrap' file if they feel they know its
## necessary contents.
ifneq (,$(wildcard src/bootstrap))
	cd "$@/src" && ./bootstrap && $(RM) -r "autom4te.cache"
endif
## Uncomment this if your src/Makefile.in has these targets for
## pre-building something for the release (e.g. documentation).
#	cd "$@/src" && ./configure && $(MAKE) prebuild && \
#	  $(MAKE) distclean && $(RM) Makefile
##
	${FIX_PERMISSIONS} "$@"

run_in_place = $(OCTAVE) --eval ' pkg ("local_list", "$(package_list)"); ' \
                         --eval ' pkg ("load", "$(package)"); '

# html_options = --eval 'options = get_html_options ("octave-forge");'
## Uncomment this for package documentation.
html_options = --eval 'options = get_html_options ("octave-forge");' 
$(html_dir): $(install_stamp)
	$(RM) -r "$@";
	$(run_in_place)                    \
        --eval ' pkg load generate_html; ' \
	$(html_options)                    \
        --eval ' generate_package_html ("$(package)", "$@", options); ';
	$(FIX_PERMISSIONS) "$@";

clean-unpacked-release:
	@echo "## Cleaning unpacked release tarballs (package + html)..."
	-$(RM) -r $(release_dir) $(html_dir)
	@echo

##
## Recipes for installing the package.
##

.PHONY: install clean-install

octave_install_commands = \
' llist_path = pkg ("local_list"); \
  mkdir ("$(installation_dir)"); \
  load (llist_path); \
  local_packages(cellfun (@ (x) strcmp ("$(package)", x.name), local_packages)) = []; \
  save ("$(package_list)", "local_packages"); \
  pkg ("local_list", "$(package_list)"); \
  pkg ("prefix", "$(installation_dir)", "$(installation_dir)"); \
  pkg ("install", "-local", "-verbose", "$(release_tarball)"); '

## Install unconditionally. Maybe useful for testing installation with
## different versions of Octave.
install: $(release_tarball)
	@echo "Installing package under $(installation_dir) ..."
	$(OCTAVE) --eval $(octave_install_commands)
	touch $(install_stamp)

## Install only if installation (under target/...) is not current.
$(install_stamp): $(release_tarball)
	@echo "Installing package under $(installation_dir) ..."
	$(OCTAVE) --eval $(octave_install_commands)
	touch $(install_stamp)

clean-install:
	@echo "## Cleaning installation under $(installation_dir) ..."
	-$(RM) -r $(installation_dir)
	@echo


##
## Recipes for testing purposes
##

.PHONY: run doctest check

## Start an Octave session with the package directories on the path for
## interactice test of development sources.
run: $(install_stamp)
	$(run_in_place) --persist

## Test example blocks in the documentation.  Needs doctest package
##  https://octave.sourceforge.io/doctest/index.html
doctest: $(install_stamp)
	$(run_in_place) --eval 'pkg load doctest;'                                                          \
	  --eval "targets = '$(shell (ls inst; ls src | $(GREP) .oct) | $(CUT) -f2 -d@ | $(CUT) -f1 -d.)';" \
	  --eval "targets = strsplit (targets, ' ');  doctest (targets);"


## Test package.
octave_test_commands = \
' pkgs = pkg("list","general"); cd (pkgs{1}.dir); dirs = { "." }; \
  dirs(cellfun (@ (x) ! isdir (x), dirs)) = []; \
  if (isempty (dirs)) error ("no \"inst\" or \"src\" directory"); exit (1); \
    else __run_test_suite__ (dirs, {}); endif '
## the following works, too, but provides no overall summary output as
## __run_test_suite__ does:
##
##    else cellfun (@runtests, horzcat (cellfun (@ (dir) ostrsplit (([~, dirs] = system (sprintf ("find %s -type d", dir))), "\n\r", true), dirs, "UniformOutput", false){:})); endif '
check: $(install_stamp)
	$(run_in_place) --eval $(octave_test_commands)


##
## CLEAN
##

.PHONY: clean

clean: clean-tarballs clean-unpacked-release clean-install
	@echo "## Removing target directory (if empty)..."
	test -e $(target_dir) && rmdir $(target_dir) || true
	test -e inst/test && rm -rf inst/test || true
	@echo
	@echo "## Cleaning done"
	@echo

=== debian/changelog ===
octave-general (2.1.0-3build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:52:06 +0100

octave-general (2.1.0-3) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.4.1 (no changes needed)
    + Bump dependency on dh-octave to >= 0.7.1
      This allows the injection of the virtual package octave-abi-N
      into the package's list of dependencies.

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 04 Nov 2019 13:33:03 -0300

octave-general (2.1.0-2) unstable; urgency=medium

  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.3.0
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:55:39 -0200

octave-general (2.1.0-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * New upstream version 2.1.0
    The SHA1 function is now working (Closes: #839003)
  * d/copyright: Reflect upstream changes
  * d/control:
    + Bump Standards-Version to 4.1.4 (no changes needed)
    + Build-depends on nettle-dev and pkg-config (needed for SHA1.cc)
  * d/s/options: Add extend-diff-ignore list

  [ Mike Miller ]
  * d/control, d/copyright: Use secure URL for upstream source.

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 14 May 2018 13:21:58 -0300

=== debian/control ===
Source: octave-general
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>,
           Rafael Laboissiere <rafael@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-octave (>= 0.7.1),
               nettle-dev,
               pkg-config
Standards-Version: 4.4.1
Homepage: https://octave.sourceforge.io/general/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-general.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-general
Testsuite: autopkgtest-pkg-octave
Rules-Requires-Root: no

Package: octave-general
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Description: provide extra general functions for Octave
 This package provides additional general functions for Octave, a
 numerical computation software. It contains functions to transpose
 complex matrixes (ctranspose), check if a string is sorted
 (issorted), take the non-conjugate transpose of a matrix (transpose),
 and a function to generate a symmetric matrix from the lower
 triangular elements of a vector (unvech), among others.
 .
 This Octave add-on package is part of the Octave-Forge project.

## octave-general 2.1.1

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 ## Copyright 2015-2016 Oliver Heimlich
 ## Copyright 2017 Julien Bect <jbect@users.sf.net>
 ## Copyright 2017 Olaf Till <i7tiol@t-online.de>
-## Copyright 2018 John Donoghue <john.donogue@ieee.org>
+## Copyright 2018-2019 John Donoghue <john.donogue@ieee.org>
 ##
 ## Copying and distribution of this file, with or without modification,
 ## are permitted in any medium without royalty provided the copyright
@@ -52,11 +52,18 @@
 vcs := $(if $(wildcard .hg),hg,$(if $(wildcard .git),git,unknown))
 ifeq ($(vcs),hg)
 release_dir_dep := .hg/dirstate
+HG           := hg
+HG_CMD        = $(HG) --config alias.$(1)=$(1) --config defaults.$(1)= $(1)
+HG_ID        := $(shell $(call HG_CMD,identify) --id | sed -e 's/+//' )
+REPO_TIMESTAMP := $(firstword $(shell $(call HG_CMD,log) --rev $(HG_ID) --template '{date|hgdate}'))
 endif
 ifeq ($(vcs),git)
 release_dir_dep := .git/index
-endif
-
+REPO_TIMESTAMP := $(firstword $(shell $(GIT) log -n1 --date=unix --format="%ad"))
+endif
+
+TAR_REPRODUCIBLE_OPTIONS := --sort=name --mtime="@$(REPO_TIMESTAMP)" --owner=0 --group=0 --numeric-owner
+TAR_OPTIONS  := --format=ustar $(TAR_REPRODUCIBLE_OPTIONS)
 
 ## .PHONY indicates targets that are not filenames
 ## (https://www.gnu.org/software/make/manual/html_node/Phony-Targets.html)
@@ -95,7 +102,7 @@
 
 ## An implicit rule with a recipe to build the tarballs correctly.
 %.tar.gz: %
-	$(TAR) -c -f - --posix -C "$(target_dir)/" "$(notdir $<)" | gzip -9n > "$@"
+	$(TAR) -cf - $(TAR_OPTIONS) -C "$(target_dir)/" "$(notdir $<)" | gzip -9n > "$@"
 
 clean-tarballs:
 	@echo "## Cleaning release tarballs (package + html)..."
@@ -212,10 +219,8 @@
 
 ## Test package.
 octave_test_commands = \
-' pkgs = pkg("list","general"); cd (pkgs{1}.dir); dirs = { "." }; \
-  dirs(cellfun (@ (x) ! isdir (x), dirs)) = []; \
-  if (isempty (dirs)) error ("no \"inst\" or \"src\" directory"); exit (1); \
-    else __run_test_suite__ (dirs, {}); endif '
+' pkgs = pkg("list","general"); dirs = { pkgs{1}.dir }; \
+  __run_test_suite__ (dirs, {}); '
 ## the following works, too, but provides no overall summary output as
 ## __run_test_suite__ does:
 ##

=== debian/changelog ===
octave-general (2.1.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + octave-general: Add Multi-Arch: same.

 -- Rafael Laboissière <rafael@debian.org>  Tue, 10 Nov 2020 17:12:08 -0300

octave-general (2.1.1-2) unstable; urgency=medium

  * d/control: Bump debhelper compatibility level to 13
  * d/u/metadata: New file
  * d/p/typo-docstring-mark-for-deletion.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Tue, 28 Jul 2020 08:17:25 -0300

octave-general (2.1.1-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * New upstream version 2.1.1
  * d/copyright: fix license info for Makefile and AppStream file
  * debian/clean: add various generated files

  [ Rafael Laboissière ]
  * d/control: Bump Standards-Version to 4.5.0 (no changes needed)

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 14 Mar 2020 09:37:53 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>,
-           Rafael Laboissiere <rafael@debian.org>
-Build-Depends: debhelper-compat (= 12),
+           Rafael Laboissière <rafael@debian.org>
+Build-Depends: debhelper-compat (= 13),
                dh-octave (>= 0.7.1),
                nettle-dev,
                pkg-config
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://octave.sourceforge.io/general/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-general.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-general
@@ -18,6 +18,7 @@
 Package: octave-general
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
+Multi-Arch: same
 Description: provide extra general functions for Octave
  This package provides additional general functions for Octave, a
  numerical computation software. It contains functions to transpose

=== debian/watch ===
version=4
http://sf.net/octave/general-(.+)\.tar\.gz

## octave-general 2.1.2

=== DESCRIPTION ===
Name: general
Version: 2.1.2
Date: 2022-01-11
Author: various authors
Maintainer: Octave-Forge community <maintainers@octave.org>
Title: General
Description: General tools for Octave.
Depends: octave (>= 4.0.0)
BuildRequire: nettle-devel
License: GPLv3+, modified BSD, public domain
Url: http://octave.sf.net

=== debian/changelog ===
octave-general (2.1.2-3) unstable; urgency=medium

  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 07:25:23 -0300

octave-general (2.1.2-2) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * No need for cleaning *-tst files
    + d/clean: Drop line with src/*.cc-tst
  * Proper cleaning of files automatically generated by the configure script
    + d/autoreconf: New file, which indicates the directory where
      configure.ac is
    + d/clean, d/s/options: Drop obsolete files
    + d/p/remove_oct-alt-includes.h.patch: New patch (clean leftover
      file oct-alt-includes.h)
  * d/control: Build-depend on dh-octave >= 1.2.3
    In this version of dh-octave, dh_octave_clean removes the
    src/*-tst files as well as the files generated by the configure
    script.

 -- Rafael Laboissière <rafael@debian.org>  Fri, 08 Jul 2022 09:34:24 -0300

octave-general (2.1.2-1) unstable; urgency=medium

  * New upstream version 2.1.2
  * d/p/typo-docstring-mark-for-deletion.patch: Drop patch (applied upstream)
  * d/copyright: Update copyright years
  * d/clean: Remove files left over by the building process
  * d/copyright: Accentuate my family name
  * d/control: Bump Standards-Version to 4.6.0 (no changes needed)
  * Set upstream metadata fields: Archive.

 -- Rafael Laboissière <rafael@debian.org>  Fri, 14 Jan 2022 07:29:06 -0300

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Uploaders: Sébastien Villemot <sebastien@debian.org>,
            Rafael Laboissière <rafael@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-octave (>= 0.7.1),
+               dh-octave (>= 1.2.3),
+               dh-sequence-octave,
                nettle-dev,
                pkg-config
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://octave.sourceforge.io/general/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-general.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-general

## octave-general 2.1.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: general
-Version: 2.1.2
-Date: 2022-01-11
+Version: 2.1.3
+Date: 2023-10-09
 Author: various authors
 Maintainer: Octave-Forge community <maintainers@octave.org>
 Title: General

=== debian/changelog ===
octave-general (2.1.3-2) unstable; urgency=medium

  * d/u/metadata:
    + Add upstream repository URL
    + Update Bug-Database URL
  * d/control:
    + Build-depend on pkgconf instead of the deprecated pkg-config package
    + Bump Standards-Version to 4.7.2 (no changes needed)
    + Drop “Rules-Requires-Root: no”, which is now the default
  * d/watch: Convert to format version 5
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Mon, 13 Oct 2025 10:37:12 -0300

octave-general (2.1.3-1) unstable; urgency=medium

  * New upstream version 2.1.3
  * d/p/remove_oct-alt-includes.h.patch: Drop patch (applied upstream)
  * d/copyright:
    + Reflect upstream changes
    + Update Source URL
  * d/control:
    + Update Homepage URL
    + Bump Standards-Version to 4.6.2 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Fri, 13 Oct 2023 10:48:12 -0300

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,12 @@
                dh-octave (>= 1.2.3),
                dh-sequence-octave,
                nettle-dev,
-               pkg-config
-Standards-Version: 4.6.1
-Homepage: https://octave.sourceforge.io/general/
+               pkgconf
+Standards-Version: 4.7.2
+Homepage: https://gnu-octave.github.io/packages/general/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-general.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-general
 Testsuite: autopkgtest-pkg-octave
-Rules-Requires-Root: no
 
 Package: octave-general
 Architecture: any

=== debian/watch ===
Version: 5

Source: https://gnu-octave.github.io/packages/general/
Matching-Pattern: https://downloads.sourceforge.net/project/octave/Octave%20Forge%20Packages/Individual%20Package%20Releases/general-@ANY_VERSION@@ARCHIVE_EXT@

## octave-general 2.1.4

=== DESCRIPTION ===
Name: general
Version: 2.1.4
Date: 2026-03-01
Author: various authors
Maintainer: Octave-Forge community <maintainers@octave.org>
Title: General
Description: General tools for Octave.
Depends: octave (>= 4.0.0)
BuildRequire: nettle-devel
License: GPLv3+, modified BSD, public domain
Url: https://octave.sourceforge.io/general/overview.html
Repository: https://sourceforge.net/p/octave/general/ci/default/tree/
Tracker: https://savannah.gnu.org/bugs/?group=octave

=== debian/changelog ===
octave-general (2.1.4-1) unstable; urgency=medium

  * New upstream version 2.1.4
  * d/copyright: Reflect upstream changes
  * d/salsa-ci.yml: Add CI pipeline
  * d/control:
    + Drop the redundant Priority field, which defaults to optional now
    + Bump Standards-Version to 4.7.3

 -- Rafael Laboissière <rafael@debian.org>  Mon, 02 Mar 2026 15:44:40 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: octave-general
 Section: math
-Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>,
            Rafael Laboissière <rafael@debian.org>
@@ -9,7 +8,7 @@
                dh-sequence-octave,
                nettle-dev,
                pkgconf
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://gnu-octave.github.io/packages/general/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-general.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-general
